diff --git a/graphics/gpu-firmware-intel-kmod/Makefile b/graphics/gpu-firmware-intel-kmod/Makefile
index fe34bb2b3..67400ad70 100644
--- a/graphics/gpu-firmware-intel-kmod/Makefile
+++ b/graphics/gpu-firmware-intel-kmod/Makefile
@@ -1,5 +1,5 @@
 PORTNAME=	gpu-firmware-intel-kmod
-PORTVERSION=	20250109
+PORTVERSION=	20250808
 CATEGORIES=	graphics
 
 MAINTAINER=	x11@FreeBSD.org
@@ -15,26 +15,27 @@ ONLY_FOR_ARCHS=		amd64 i386
 ONLY_FOR_ARCHS_REASON=	Intel GPUs are only available on x86
 
 PKGNAMESUFFIX=	-${FLAVOR:C/_/-/g}
-FLAVORS=	skylake \
+FLAVORS=	alderlake \
 		broxton \
+		cannonlake \
+		dg1 \
+		dg2 \
 		kabylake \
+		elkhartlake \
 		geminilake \
-		cannonlake \
 		icelake \
-		elkhartlake \
+		meteorlake \
 		tigerlake \
 		rocketlake \
-		dg1 \
-		dg2 \
-		alderlake \
-		meteorlake
+		skylake \
+
 
 USES=		kmod uidfix
 
 USE_GITHUB=	yes
 GH_ACCOUNT=	freebsd
 GH_PROJECT=	drm-kmod-firmware
-GH_TAGNAME=	20250109
+GH_TAGNAME=	20250808_2
 
 MAKE_ENV=	KMODS="i915kmsfw"
 MAKE_ENV+=	I915KMODS="${FLAVOR}"
diff --git a/graphics/gpu-firmware-intel-kmod/distinfo b/graphics/gpu-firmware-intel-kmod/distinfo
index 8bca4cfa3..c1797cbad 100644
--- a/graphics/gpu-firmware-intel-kmod/distinfo
+++ b/graphics/gpu-firmware-intel-kmod/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1765464148
-SHA256 (freebsd-drm-kmod-firmware-20250109_GH0.tar.gz) = b204a6bbc44e537cf74d84a025a3634833e86a0f28cedf1ae216257039414229
-SIZE (freebsd-drm-kmod-firmware-20250109_GH0.tar.gz) = 40111427
+TIMESTAMP = 1779877059
+SHA256 (freebsd-drm-kmod-firmware-20250808-20250808_2_GH0.tar.gz) = df6e6dfd876c1d51430b9e26bd8543ca724d2f8eeb38a58a49a139df145c48ec
+SIZE (freebsd-drm-kmod-firmware-20250808-20250808_2_GH0.tar.gz) = 48601453
diff --git a/graphics/gpu-firmware-intel-kmod/pkg-plist b/graphics/gpu-firmware-intel-kmod/pkg-plist
index f7ca90c32..9063fa552 100644
--- a/graphics/gpu-firmware-intel-kmod/pkg-plist
+++ b/graphics/gpu-firmware-intel-kmod/pkg-plist
@@ -1,61 +1,68 @@
-%%SKYLAKE%%/%%KMODDIR%%/i915_skl_dmc_ver1_27_bin.ko
-%%SKYLAKE%%/%%KMODDIR%%/i915_skl_guc_33_0_0_bin.ko
-%%SKYLAKE%%/%%KMODDIR%%/i915_skl_guc_62_0_0_bin.ko
-%%SKYLAKE%%/%%KMODDIR%%/i915_skl_huc_2_0_0_bin.ko
+%%ALDERLAKE%%/%%KMODDIR%%/i915_adlp_dmc_bin.ko
+%%ALDERLAKE%%/%%KMODDIR%%/i915_adlp_dmc_ver2_10_bin.ko
+%%ALDERLAKE%%/%%KMODDIR%%/i915_adlp_dmc_ver2_16_bin.ko
+%%ALDERLAKE%%/%%KMODDIR%%/i915_adlp_guc_62_0_3_bin.ko
+%%ALDERLAKE%%/%%KMODDIR%%/i915_adlp_guc_69_0_3_bin.ko
+%%ALDERLAKE%%/%%KMODDIR%%/i915_adlp_guc_70_1_1_bin.ko
+%%ALDERLAKE%%/%%KMODDIR%%/i915_adlp_guc_70_bin.ko
+%%ALDERLAKE%%/%%KMODDIR%%/i915_adls_dmc_ver2_01_bin.ko
 %%BROXTON%%/%%KMODDIR%%/i915_bxt_dmc_ver1_07_bin.ko
 %%BROXTON%%/%%KMODDIR%%/i915_bxt_guc_33_0_0_bin.ko
 %%BROXTON%%/%%KMODDIR%%/i915_bxt_guc_62_0_0_bin.ko
 %%BROXTON%%/%%KMODDIR%%/i915_bxt_huc_2_0_0_bin.ko
-%%KABYLAKE%%/%%KMODDIR%%/i915_kbl_dmc_ver1_04_bin.ko
-%%KABYLAKE%%/%%KMODDIR%%/i915_kbl_guc_33_0_0_bin.ko
-%%KABYLAKE%%/%%KMODDIR%%/i915_kbl_guc_62_0_0_bin.ko
-%%KABYLAKE%%/%%KMODDIR%%/i915_kbl_guc_70_1_1_bin.ko
-%%KABYLAKE%%/%%KMODDIR%%/i915_kbl_huc_ver02_00_1810_bin.ko
-%%KABYLAKE%%/%%KMODDIR%%/i915_kbl_huc_4_0_0_bin.ko
-%%KABYLAKE%%/%%KMODDIR%%/i915_cml_guc_33_0_0_bin.ko
-%%KABYLAKE%%/%%KMODDIR%%/i915_cml_guc_62_0_0_bin.ko
-%%KABYLAKE%%/%%KMODDIR%%/i915_cml_guc_70_1_1_bin.ko
-%%KABYLAKE%%/%%KMODDIR%%/i915_cml_huc_4_0_0_bin.ko
+%%CANNONLAKE%%/%%KMODDIR%%/i915_cnl_dmc_ver1_07_bin.ko
+%%DG1%%/%%KMODDIR%%/i915_dg1_dmc_ver2_02_bin.ko
+%%DG1%%/%%KMODDIR%%/i915_dg1_guc_62_0_0_bin.ko
+%%DG1%%/%%KMODDIR%%/i915_dg1_guc_70_bin.ko
+%%DG1%%/%%KMODDIR%%/i915_dg1_huc_bin.ko
+%%DG2%%/%%KMODDIR%%/i915_dg2_dmc_ver2_07_bin.ko
+%%DG2%%/%%KMODDIR%%/i915_dg2_dmc_ver2_08_bin.ko
+%%DG2%%/%%KMODDIR%%/i915_dg2_guc_70_bin.ko
+%%DG2%%/%%KMODDIR%%/i915_dg2_guc_70_1_2_bin.ko
+%%DG2%%/%%KMODDIR%%/i915_dg2_guc_70_4_1_bin.ko
+%%DG2%%/%%KMODDIR%%/i915_dg2_huc_gsc_bin.ko
+%%ELKHARTLAKE%%/%%KMODDIR%%/i915_ehl_guc_33_0_4_bin.ko
+%%ELKHARTLAKE%%/%%KMODDIR%%/i915_ehl_guc_62_0_0_bin.ko
+%%ELKHARTLAKE%%/%%KMODDIR%%/i915_ehl_guc_70_1_1_bin.ko
+%%ELKHARTLAKE%%/%%KMODDIR%%/i915_ehl_huc_9_0_0_bin.ko
 %%GEMINILAKE%%/%%KMODDIR%%/i915_glk_dmc_ver1_04_bin.ko
 %%GEMINILAKE%%/%%KMODDIR%%/i915_glk_guc_33_0_0_bin.ko
 %%GEMINILAKE%%/%%KMODDIR%%/i915_glk_guc_62_0_0_bin.ko
 %%GEMINILAKE%%/%%KMODDIR%%/i915_glk_guc_70_1_1_bin.ko
 %%GEMINILAKE%%/%%KMODDIR%%/i915_glk_huc_4_0_0_bin.ko
-%%CANNONLAKE%%/%%KMODDIR%%/i915_cnl_dmc_ver1_07_bin.ko
 %%ICELAKE%%/%%KMODDIR%%/i915_icl_dmc_ver1_09_bin.ko
 %%ICELAKE%%/%%KMODDIR%%/i915_icl_guc_33_0_0_bin.ko
 %%ICELAKE%%/%%KMODDIR%%/i915_icl_guc_62_0_0_bin.ko
 %%ICELAKE%%/%%KMODDIR%%/i915_icl_guc_70_1_1_bin.ko
 %%ICELAKE%%/%%KMODDIR%%/i915_icl_huc_9_0_0_bin.ko
-%%ELKHARTLAKE%%/%%KMODDIR%%/i915_ehl_guc_33_0_4_bin.ko
-%%ELKHARTLAKE%%/%%KMODDIR%%/i915_ehl_guc_62_0_0_bin.ko
-%%ELKHARTLAKE%%/%%KMODDIR%%/i915_ehl_guc_70_1_1_bin.ko
-%%ELKHARTLAKE%%/%%KMODDIR%%/i915_ehl_huc_9_0_0_bin.ko
+%%KABYLAKE%%/%%KMODDIR%%/i915_kbl_dmc_ver1_04_bin.ko
+%%KABYLAKE%%/%%KMODDIR%%/i915_kbl_guc_33_0_0_bin.ko
+%%KABYLAKE%%/%%KMODDIR%%/i915_kbl_guc_62_0_0_bin.ko
+%%KABYLAKE%%/%%KMODDIR%%/i915_kbl_guc_70_1_1_bin.ko
+%%KABYLAKE%%/%%KMODDIR%%/i915_kbl_huc_ver02_00_1810_bin.ko
+%%KABYLAKE%%/%%KMODDIR%%/i915_kbl_huc_4_0_0_bin.ko
+%%KABYLAKE%%/%%KMODDIR%%/i915_cml_guc_33_0_0_bin.ko
+%%KABYLAKE%%/%%KMODDIR%%/i915_cml_guc_62_0_0_bin.ko
+%%KABYLAKE%%/%%KMODDIR%%/i915_cml_guc_70_1_1_bin.ko
+%%KABYLAKE%%/%%KMODDIR%%/i915_cml_huc_4_0_0_bin.ko
+%%METEORLAKE%%/%%KMODDIR%%/i915_mtl_dmc_bin.ko
+%%METEORLAKE%%/%%KMODDIR%%/i915_mtl_dmc_ver2_10_bin.ko
+%%METEORLAKE%%/%%KMODDIR%%/i915_mtl_gsc_1_bin.ko
+%%METEORLAKE%%/%%KMODDIR%%/i915_mtl_guc_70_bin.ko
+%%METEORLAKE%%/%%KMODDIR%%/i915_mtl_huc_gsc_bin.ko
+%%ROCKETLAKE%%/%%KMODDIR%%/i915_rkl_dmc_ver2_02_bin.ko
+%%ROCKETLAKE%%/%%KMODDIR%%/i915_rkl_dmc_ver2_03_bin.ko
+%%SKYLAKE%%/%%KMODDIR%%/i915_skl_dmc_ver1_27_bin.ko
+%%SKYLAKE%%/%%KMODDIR%%/i915_skl_guc_33_0_0_bin.ko
+%%SKYLAKE%%/%%KMODDIR%%/i915_skl_guc_62_0_0_bin.ko
+%%SKYLAKE%%/%%KMODDIR%%/i915_skl_huc_2_0_0_bin.ko
 %%TIGERLAKE%%/%%KMODDIR%%/i915_tgl_dmc_ver2_08_bin.ko
 %%TIGERLAKE%%/%%KMODDIR%%/i915_tgl_dmc_ver2_12_bin.ko
 %%TIGERLAKE%%/%%KMODDIR%%/i915_tgl_guc_35_2_0_bin.ko
 %%TIGERLAKE%%/%%KMODDIR%%/i915_tgl_guc_62_0_0_bin.ko
+%%TIGERLAKE%%/%%KMODDIR%%/i915_tgl_guc_69_0_3_bin.ko
 %%TIGERLAKE%%/%%KMODDIR%%/i915_tgl_guc_70_1_1_bin.ko
 %%TIGERLAKE%%/%%KMODDIR%%/i915_tgl_guc_70_bin.ko
 %%TIGERLAKE%%/%%KMODDIR%%/i915_tgl_huc_bin.ko
 %%TIGERLAKE%%/%%KMODDIR%%/i915_tgl_huc_7_5_0_bin.ko
 %%TIGERLAKE%%/%%KMODDIR%%/i915_tgl_huc_7_9_3_bin.ko
-%%ROCKETLAKE%%/%%KMODDIR%%/i915_rkl_dmc_ver2_02_bin.ko
-%%ROCKETLAKE%%/%%KMODDIR%%/i915_rkl_dmc_ver2_03_bin.ko
-%%DG1%%/%%KMODDIR%%/i915_dg1_dmc_ver2_02_bin.ko
-%%DG1%%/%%KMODDIR%%/i915_dg1_guc_62_0_0_bin.ko
-%%DG1%%/%%KMODDIR%%/i915_dg1_guc_70_bin.ko
-%%DG1%%/%%KMODDIR%%/i915_dg1_huc_bin.ko
-%%DG2%%/%%KMODDIR%%/i915_dg2_dmc_ver2_07_bin.ko
-%%DG2%%/%%KMODDIR%%/i915_dg2_guc_70_bin.ko
-%%ALDERLAKE%%/%%KMODDIR%%/i915_adlp_dmc_bin.ko
-%%ALDERLAKE%%/%%KMODDIR%%/i915_adlp_dmc_ver2_10_bin.ko
-%%ALDERLAKE%%/%%KMODDIR%%/i915_adlp_dmc_ver2_16_bin.ko
-%%ALDERLAKE%%/%%KMODDIR%%/i915_adlp_guc_62_0_3_bin.ko
-%%ALDERLAKE%%/%%KMODDIR%%/i915_adlp_guc_70_bin.ko
-%%ALDERLAKE%%/%%KMODDIR%%/i915_adls_dmc_ver2_01_bin.ko
-%%METEORLAKE%%/%%KMODDIR%%/i915_mtl_dmc_bin.ko
-%%METEORLAKE%%/%%KMODDIR%%/i915_mtl_dmc_ver2_10_bin.ko
-%%METEORLAKE%%/%%KMODDIR%%/i915_mtl_gsc_1_bin.ko
-%%METEORLAKE%%/%%KMODDIR%%/i915_mtl_guc_70_bin.ko
-%%METEORLAKE%%/%%KMODDIR%%/i915_mtl_huc_gsc_bin.ko
